
class PayInfo {
  String key;
  PayType type;
  String icon;
  String name;
  String desc;
  PayInfo(this.type, this.key, this.icon, this.name, {this.desc});
}

enum PayType {
  alipay, wechat, yue
}

class PayConfig {
  static const String wechatAppId = "123";
  static const String universalLink = "twong://shotshock.shop/open";

  static List<PayInfo> get payTypes {
    return [
      PayInfo(PayType.alipay, "alipay", "icon", "支付宝", desc: "使用支付宝快捷支付"),
      PayInfo(PayType.wechat, "weixin", "icon", "微信", desc: "使用微信快捷支付"),
      PayInfo(PayType.yue, "yue", "icon", "余额", desc: "当前可用余额: "),
    ];
  }
}